%define upstream_name	 IO-Zlib
%define upstream_version 1.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    IO:: style interface to Compress::Zlib
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Zlib) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
IO::Zlib provides an IO:: style interface to Compress::Zlib and hence
to gzip/zlib compressed files. It provides many of the same methods as
the IO::Handle interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}"

%check
%__make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml SIGNATURE
%{perl_vendorlib}/IO/*
%{_mandir}/man?/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.150.0-2.mga10
+ Revision: 2221507
- Mageia 10 Mass Rebuild

* Mon Mar 11 2024 tv <tv> 1.150.0-1.mga10
+ Revision: 2049155
- update to 1.15

* Wed Jan 11 2023 tv <tv> 1.140.0-1.mga9
+ Revision: 1932307
- update to 1.14

* Mon Jan 09 2023 tv <tv> 1.130.0-1.mga9
+ Revision: 1931864
- update to 1.13

* Mon Jan 02 2023 tv <tv> 1.120.0-1.mga9
+ Revision: 1929011
- update to 1.12

* Mon Mar 21 2022 umeabot <umeabot> 1.110.0-2.mga9
+ Revision: 1813215
- Mageia 9 Mass Rebuild

* Mon Sep 14 2020 tv <tv> 1.110.0-1.mga8
+ Revision: 1626260
- update to 1.11

* Wed Feb 12 2020 umeabot <umeabot> 1.100.0-10.mga8
+ Revision: 1495215
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.100.0-9.mga7
+ Revision: 1268839
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-8.mga6
+ Revision: 1028795
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.100.0-7.mga6
+ Revision: 947204
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-6.mga5
+ Revision: 743241
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 685092
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-4.mga4
+ Revision: 512346
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-3.mga3
+ Revision: 368620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.100.0-2.mga1
+ Revision: 12282
- imported package perl-IO-Zlib


* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-2mdv2010.1
+ Revision: 420979
- rebuild

* Wed Jul 15 2009 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2010.0
+ Revision: 396302
- update to 1.10
- using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.09-2mdv2009.0
+ Revision: 223802
- rebuild

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.09-1mdv2008.1
+ Revision: 152933
- update to new version 1.09
- update to new version 1.09

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-1mdv2008.1
+ Revision: 110286
- new version

* Sun Aug 05 2007 Funda Wang <fwang@mandriva.org> 1.07-1mdv2008.0
+ Revision: 59070
- New version 1.07


* Sun Jul 16 2006 Olivier Thauvin <nanardon@mandriva.org> 1.04-3mdv2007.0
+ Revision: 41253
- rebuild
- add %%check section
- Import perl-IO-Zlib

* Wed Jun 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.04-2mdk
- Rebuild

* Fri Oct 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.04-1mdk
- 1.04

* Tue Aug 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.03-1mdk
- 1.03

* Thu Jul 01 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.01-1mdk
- first version of rpm.

